header {
    background-image: url(../../img/backgrounds/img\ 3.png);
    background-position: center;
    background-size: cover;
    height: 718px;

    @media screen and (min-width: $width-medium) {
        background-image: url(../../img/backgrounds/img\ 2.png);
        height: 800px;
    }

    @media screen and (min-width: $width-desktop) {
        background-image: url(../../img/backgrounds/img\ 1.png);
    }

}

.navigation {
    background: #27262A;

    @media screen and (min-width: $width-desktop) {
        background: none;
    }

    .navigation__menu {
        display: flex;
        justify-content: space-between;
        align-items: center;
        height: 103px;

        @media screen and (min-width: $width-medium) {
            display: inline;
            height: 118px;
        }
    }

    .navigation__mobile {
        display: flex;
        width: 100%;
        justify-content: space-between;

        @media screen and (min-width: $width-medium) {
            display: flex;
            justify-content: space-between;
            padding-top: 24px;
        }

        @media screen and (min-width: $width-desktop) {
            padding: 29.5px 0;
        }

    }

    .navigation__logo {
        position: relative;

        @media screen and (min-width: $width-medium) {
            display: flex;
            align-items: center;
        }

        .navigation__logo--link {
            display: flex;
            align-items: center;

        }

        .navigation__logo--img.first {
            &:hover {
                @media screen and (min-width: $width-desktop) {
                    opacity: 0;
                    position: absolute;
                }
            }
        }

        .navigation__logo--img.second {
            &:hover {
                @media screen and (min-width: $width-desktop) {
                    opacity: 1;
                }
            }
        }
    }

    .navigation__logo--img.second {
        opacity: 0;
        position: absolute;
    }

    .navigation__logo--name {
        display: none;

        @media screen and (min-width: $width-medium) {
            display: block;
            font-family: 'Lato';
            font-style: normal;
            font-weight: 700;
            font-size: 24px;
            line-height: 16px;
            text-transform: uppercase;
            padding-left: 17px;
            color: $main-color;
        }

        &:hover {
            @media screen and (min-width: $width-desktop) {
                color: $text-color;
            }
        }
    }

    .navigation__desktop {
        display: none;

        @media screen and (min-width: $width-desktop) {
            display: flex;
            align-items: center;
        }

        &--item {
            font-size: 16px;
            line-height: 15px;
            color: $main-color;
            padding-right: 48px;

            &:hover {
                color: $text-color;
            }
        }
    }

    .navigation__btn {
        font-size: 15px;
        line-height: 15px;
        padding: 11px 20px;
        width: 145px;
        height: 38px;
    }

    .navigation__btn--mobile {
        @media screen and (min-width: $width-desktop) {
            display: none;
        }
    }

    &__dropdown {
        position: relative;
        display: flex;
        justify-content: flex-end;

        @media screen and (min-width: $width-medium) {
            display: none;
        }

        &--btn {
            background: #27262A;
            width: 44px;
            height: 37px;
            padding: 13px;
            border: none;
            cursor: pointer;

            ::before {
                content: '';
                position: absolute;
                width: 15px;
                height: 3px;
                left: 9.5px;
                background-color: #FFFFFF;
                transform: translateY(-9px);
                transition: 0.5s;
                border-radius: 5px;
            }

            ::after {
                content: '';
                position: absolute;
                width: 26px;
                height: 3px;
                left: -1.5px;
                background-color: #FFFFFF;
                transform: translateY(6px);
                transition: 0.5s;
                border-radius: 5px;
            }

            span {
                display: block;
                position: relative;
                border: solid 1.5px;
                width: 26px;
                color: #fff;
                border-radius: 5px;
            }
        }

        .navigation__dropdown--btn.active {
            ::before {
                width: 26px;
                left: 0px;
                transform: translateY(0px) rotate(45deg);
                transition: 0.5s;
                background-color: #FFFFFF;
            }

            ::after {
                transform: translateY(0px) rotate(-45deg);
                transition: 0.5s;
            }

            span {
                color: #27262A;
            }
        }
    }

    .navigation__medium {
        display: none;

        @media screen and (min-width: $width-medium) {
            display: flex;
            text-align: center;
            justify-content: space-evenly;
            padding-top: 23px;
            padding-bottom: 14px;
        }

        @media screen and (min-width: $width-desktop) {
            display: none;
        }

        .navigation__medium-item {
            font-size: 16px;
            line-height: 18px;
            color: $main-color;
        }
    }
}
.navigation__mobnav {
        display: none;
        right: 0;
        background: #333333;
        overflow: hidden;
        padding-bottom: 14px;

        &--item {
            position: relative;
            height: 88px;
            padding-left: 36px;
            padding-top: 28px;
            font-weight: 400;
            font-size: 26px;
            color: $text-color;
            border-bottom: 3px solid #3B3B3B;
        }

        :focus:active {
            color: $main-color;
            pointer-events: all;
        }

        :focus:active:after {
            content: "";
            width: 8px;
            height: 53px;
            background: $main-color;
            top: 17px;
            left: 0;
            position: absolute;
            pointer-events: all;
        }
}
.navigation__mobnav.active {
            display: grid;
            position: absolute;
            left: 0;
            margin-left: 10px;
            margin-right: 10px;

            @media screen and (min-width: $width-medium) {
                display: none;
            }
        }

.btn {
    @include btn-style;

}

.navigation__btn--desktop {
    &:hover {
        background: $text-color;
        color: $main-color;
        border: 1px solid $main-color;
    }
}

.navigation__btn--large {
    &:hover {
        @media screen and (min-width: $width-desktop) {
            background: $text-color;
            color: $main-color;
            border: 2px solid $main-color;
        }
    }
}

.about {
    text-align: center;

    .about__title {
        font-size: 48px;
        line-height: 48px;
        color: $text-color;
        font-weight: 700;
        padding-top: 49px;
    }

    .about__description {
        font-size: 18px;
        line-height: 24px;
        color: $main-color;
        text-transform: capitalize;
        padding: 19px 14px 14px 14px;
    }

    &__use {
        font-size: 14px;
        line-height: 14px;
        color: $subtext-color;
        text-transform: uppercase;
        padding-bottom: 400px;

        @media screen and (min-width: $width-medium) and (max-width: 559px) {
            padding-bottom: 463px;
        }

        @media screen and (min-width: 560px) and (max-width: 992px) {
            padding-bottom: 487px;
        }

        @media screen and (min-width: $width-desktop) {
            padding-bottom: 507px;
        }
    }

    .about__download {

        .navigation__btn--large {
            height: 45px;
            font-size: 18px;
            line-height: 20px;
            padding: 13px 29px;
        }

        &--description {
            font-size: 14px;
            line-height: 14px;
            color: $subtext-color;
            padding-top: 12.5px;
        }
    }
}